#include <Widget/Layout/CompoundWidget/DataOutputTable/DataOutputTable.hpp>

DataOutputTable::Entry::Entry(
    Widget *label,
    std::optional<DataLink::Channel> &selection,
    std::function<void()> onUpdated
) :
    CompoundWidget(
        new Column(
            new Center(label),
            new Panel(glm::ivec2(0, 2)),
            new Center(new DataChannelPicker(
                selection,
                onUpdated
            )),
            new Panel(glm::ivec2(0, 10))
        )
    )
{}